#!/usr/bin/env python3
#
#    Copyright (C) 2016 Francisco Javier Parra <franparpe@openmailbox.org>
#    Copyright (C) 2016 Enrique Ernesto Zayas <enrique.zayas@upc.edu>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#

from setuptools import setup, find_packages
# import py2exe
import qtcam

dependencies=['numpy','matplotlib','dxfwrite']

setup(name=qtcam.__prj__,  # The name of the project
      version=qtcam.__version__,
      description=qtcam.__doc__,
      author=qtcam.__author__,
      author_email=qtcam.__mail__,
      license=qtcam.__license__,
      keywords='cam qtcam scientist science cams design',
      classifiers=[
          # How mature is this project? Common values are
          #   3 - Alpha
          #   4 - Beta
          #   5 - Production/Stable
          'Development Status :: 3 - Alpha',

          # Indicate who your project is intended for
          'Intended Audience :: science',
          'Topic :: Cams :: Mechanics',

          # Pick your license as you wish (should match "license" above)
          'License :: OSI Approved :: GNU General Public License (GPL)',

          # Specify the Python versions you support here. In particular, ensure
          # that you indicate whether you support Python 2, Python 3 or both.
          'Programming Language :: Python :: 3',
          'Programming Language :: Python :: 3.2',
          'Programming Language :: Python :: 3.3',
          'Programming Language :: Python :: 3.4'],
      packages=find_packages(exclude=['tests']),
      install_requires=dependencies,
      entry_points={
          'console_scripts': ['qtcam=qtcam:run_qtcam'],
      })
